﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace TellBookForCsharp
{
    public partial class frmAddGroups : Form
    {
        public frmAddGroups()
        {
            InitializeComponent();
        }

        string ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\bank.mdb";
        public bool Add_Edit = true;

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {


            if (txtID.Text == "")
            {
                MessageBox.Show("کاربر گرامی لطفا شماره ثبت را وارد نماید", "ثبت دسته", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                txtID.Select();
                return;
            }
            if (txtNameGroup.Text == "")
            {
                MessageBox.Show("کاربر گرامی لطفا نام دسته را وارد کنید", "ثبت دسته", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                txtNameGroup.Select();
                return;
            }
            
            try
            {
                if (Add_Edit == true)
                {
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "INSERT INTO Tgroup (ID,LNameGroup) VALUES (@p1,@p2)";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p1", txtID.Text);
                    ocm.Parameters.AddWithValue("@p2", txtNameGroup.Text);
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocn.Dispose();
                    MessageBox.Show("دسته مورد نظر با موفقیت ثبت شد", "ثبت دسته", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    Close();
                    
                }
                else
                {
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "UPDATE Tgroup Set LNameGroup=? Where ID=?";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p2", txtNameGroup.Text);
                    ocm.Parameters.AddWithValue("@p1", txtID.Text);
                    ocm.Connection = null;
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocm.Dispose();
                    ocn.Dispose();
                    MessageBox.Show("دسته مورد نظر با موفقیت ویرایش شد", "ویرایش دسته", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    Close();

               }
                
            }
            catch
            { 
                MessageBox.Show("کاربر گرامی شماره ثبت تکراری است","خطا",MessageBoxButtons.OK,MessageBoxIcon.Exclamation,MessageBoxDefaultButton.Button1,MessageBoxOptions.RtlReading);
            }

            
         }

        private void txtID_KeyPress(object sender, KeyPressEventArgs e)
        {
            e.Handled = !(char.IsDigit(e.KeyChar) || e.KeyChar == '\b');
        }

        private void frmAddGroups_Load(object sender, EventArgs e)
        {

            string a = "1";
            string str;
            if(Add_Edit==true)
            {
                
                OleDbConnection ocn1 = new OleDbConnection(ConnectionString);
                OleDbCommand sqlCmd = new OleDbCommand("SELECT COUNT(*) FROM Tgroup", ocn1);
                ocn1.Open();
                str = Convert.ToString((int)sqlCmd.ExecuteScalar());
                

                int b = Int32.Parse(str) + Int32.Parse(a);
                txtID.Text = b.ToString();
            }
        }
    }
}
