﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
namespace TellBookForCsharp
{
    public partial class frmMain : Form
    {
        public frmMain()
        {
            InitializeComponent();
        }
        private void frmMain_Load(object sender, EventArgs e)
        {

        }
        private void MSExit_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }
        private void msAddGroup_Click(object sender, EventArgs e)
        {
            var ShowAddGroup = new frmAddGroups();
            ShowAddGroup.ShowDialog();
        }
        private void MsListGroup_Click(object sender, EventArgs e)
        {
            var ShowListGroup = new frmListGroups();
            ShowListGroup.ShowDialog();
        }
        private void msAddMember_Click(object sender, EventArgs e)
        {
            var ShowAddMembers = new frmAddMembers();
            ShowAddMembers.ShowDialog();
        }
        private void MsListMembers_Click(object sender, EventArgs e)
        {
            frmListMembers ShowListMembers = new frmListMembers();
            ShowListMembers.ShowDialog();
        }
        private void MsAbout_Click(object sender, EventArgs e)
        {
            MessageBox.Show("طراحی و برنامه نویسی : کامبیز دهقانی"
                + "\n"
                + "www.SourceGozar.com"
                +"\n" +"Tell : 09368941038" , "درباره ما", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1);
        }

        private void MsSetting_Click(object sender, EventArgs e)
        {

        }

        private void Backup_Click(object sender, EventArgs e)
        {
            SaveFileDialog sfd = new SaveFileDialog();
            sfd.Filter = "*.SourceGozar |*.TellBook";

            if (sfd.ShowDialog() == DialogResult.OK)
            {
                if (sfd.FileName != "")
                {
                    try
                    {
                        if (File.Exists(sfd.FileName) == true)
                            File.Delete(sfd.FileName);
                        File.Copy(Application.StartupPath + "\\bank.mdb", sfd.FileName);
                        MessageBox.Show("پشتیبان گیری با موفقیت انجام شد", "OK", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    }
                    catch (Exception ex)
                    {
                        MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    }
                }
            }
        }

        private void بازیابیپشتیبانToolStripMenuItem_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd = new OpenFileDialog();
            ofd.Filter = "*.SourceGozar |*.TellBook";

            if (ofd.ShowDialog() == DialogResult.OK)
            {
                if (ofd.FileName != "")
                {

                    if (MessageBox.Show("آیا میخواهید فایل پشتیبان، جایگزین بانک فعلی برنامه شود؟؟؟(!!! توجه: بانک فعلی کامل از بین میرود !!!)؟؟؟", "سوال خیلی مهم؟", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.Yes)
                    {
                        File.Delete(Application.StartupPath + "\\bank.mdb");
                        File.Copy(ofd.FileName, Application.StartupPath + "\\bank.mdb");
                        MessageBox.Show("بازیابی پشتیبان با موفقیت انجام شد ", "OK", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    }


                }
            }
        }

  
    }
}