﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;
namespace TellBookForCsharp
{
    public partial class frmListGroups : Form
    {
        public frmListGroups()
        {
            InitializeComponent();
        }
        string ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\bank.mdb";
        string IDD = "";
        string LNameGroupp = "";
        

        private void Ado1(string strSqlQuery)
        {
            try
            {
                this.Cursor = Cursors.WaitCursor;
                OleDbConnection ocn = new OleDbConnection(ConnectionString);
                OleDbDataAdapter oda = new OleDbDataAdapter(strSqlQuery, ocn);
                DataTable dt = new DataTable();
                dt.Clear();
                oda.Fill(dt);

                OleDbCommand sqlCmd = new OleDbCommand("SELECT COUNT(*) FROM Tgroup", ocn);
                ocn.Open();
                label1.Text = "تعداد گروه ها : " + Convert.ToString((int)sqlCmd.ExecuteScalar()) + "";
                ocn.Close();
                DGW1.Columns.Clear();
                DGW1.DataSource = null;
                DGW1.DataSource = dt;
                DGW1.Columns[0].Name = "ID";
                DGW1.Columns[1].Name = "LNameGroup";
                DGW1.Columns[0].Width = 130;
                DGW1.Columns[1].Width = 295;
                DGW1.Columns[0].HeaderText = "شماره ثبت";
                DGW1.Columns[1].HeaderText = "نام گروه";
                dt.Dispose();
                oda.Dispose();
                ocn.Dispose();
                if (DGW1.Rows.Count > 0)
                {
                   btnEdit.Enabled = true;
                   btnDelete.Enabled = true;
                }
                else
                {
                    btnEdit.Enabled = false;
                    btnDelete.Enabled = false;
                }
                this.Cursor = Cursors.Default;
            }
            catch (Exception ex)
            {
                this.Cursor = Cursors.Default;
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        private void txtSearch_TextChanged(object sender, EventArgs e)
        {
            try
            {
                Ado1("SELECT * FROM Tgroup WHERE LNameGroup LIKE '" + txtSearch.Text + "%'ORDER BY LNameGroup");
            }
            catch
            { 
                MessageBox.Show("عملیات جستجو با خطا مواجعه شده است","خطا",MessageBoxButtons.OK,MessageBoxIcon.Error,MessageBoxDefaultButton.Button1,MessageBoxOptions.RtlReading);
            }
        }
        private void btnSearch_Click(object sender, EventArgs e)
        {
            try
            {
                Ado1("SELECT * FROM Tgroup WHERE LNameGroup LIKE '" + txtSearch.Text + "%'");
            }
            catch
            {
                MessageBox.Show("عملیات جستجو با خطا مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }         
        }
        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }
        private void frmListGroups_Load(object sender, EventArgs e)
        {
            Ado1("SELECT * FROM Tgroup");
            this.KeyPreview = true;
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {

            if (MessageBox.Show("آیا مایلید مورد انتخاب شده حذف شود؟", "حذف", MessageBoxButtons.YesNo, MessageBoxIcon.Question,MessageBoxDefaultButton.Button1,MessageBoxOptions.RtlReading) == DialogResult.Yes)
            {
                try
                {
                    IDD = DGW1.CurrentRow.Cells["ID"].Value.ToString();
                    LNameGroupp = DGW1.CurrentRow.Cells["LNameGroup"].Value.ToString();
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "DELETE FROM Tgroup WHERE ID=@p1 AND LNameGroup=@p2";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p1", IDD);
                    ocm.Parameters.AddWithValue("@p2", LNameGroupp);
                    ocm.Connection = null;
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocm.Dispose();
                    ocn.Dispose();

                    Ado1("SELECT * FROM Tgroup");
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message
                        + "\r\n\r\n"
                        +"عملایت حذف با مشکل مواجه شده است", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            IDD = DGW1.CurrentRow.Cells["ID"].Value.ToString();
            LNameGroupp = DGW1.CurrentRow.Cells["LNameGroup"].Value.ToString();

            frmAddGroups ShowEdit = new frmAddGroups();
            ShowEdit.txtID.Enabled = false;
            ShowEdit.txtID.Text = IDD;
            ShowEdit.txtNameGroup.Text = LNameGroupp;
            ShowEdit.Add_Edit = false;
            ShowEdit.ShowDialog();
        }
    }
}
