﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace TellBookForCsharp
{
    public partial class frmListMembers : Form
    {
        public frmListMembers()
        {
            InitializeComponent();
        }
        string ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\bank.mdb";
        string ID = "";
        string LName = "";
        string LGroup = "";
        string LTell = "";
        string LSite = "";
        string LAddress = "";
        public void Ado1(string strSqlQuery)
        {
            try
            {
                this.Cursor = Cursors.WaitCursor;
                OleDbConnection ocn = new OleDbConnection(ConnectionString);
                OleDbDataAdapter oda = new OleDbDataAdapter(strSqlQuery, ocn);
                DataTable dt = new DataTable();
                dt.Clear();
                oda.Fill(dt);
                OleDbCommand sqlCmd = new OleDbCommand("SELECT COUNT(*) FROM TList", ocn);
                ocn.Open();
                label1.Text = "تعداد مخاطلب ها : " + Convert.ToString((int)sqlCmd.ExecuteScalar()) + "";
                ocn.Close();
                DGW1.Columns.Clear();
                DGW1.DataSource = null;
                DGW1.DataSource = dt;
                DGW1.Columns[0].Name = "ID";
                DGW1.Columns[1].Name = "LName";
                DGW1.Columns[2].Name = "LGroup";
                DGW1.Columns[3].Name = "LTell";
                DGW1.Columns[4].Name = "LSite";
                DGW1.Columns[5].Name = "LAddress";
                DGW1.Columns[0].Width = 130;
                DGW1.Columns[1].Width = 150;
                DGW1.Columns[0].HeaderText = "شماره ثبت";
                DGW1.Columns[1].HeaderText = "نام و نام خانوادگی";
                DGW1.Columns[2].HeaderText = "گروه";
                DGW1.Columns[3].HeaderText = "موبایل";
                DGW1.Columns[4].HeaderText = "سایت";
                DGW1.Columns[5].HeaderText = "آدرس";
                dt.Dispose();
                oda.Dispose();
                ocn.Dispose();
                if (DGW1.Rows.Count > 0)
                {
                    btnEdit.Enabled = true;
                    btnDelete.Enabled = true;
                }
                else
                {
                    btnEdit.Enabled = false;
                    btnDelete.Enabled = false;
                }
                this.Cursor = Cursors.Default;
            }
            catch (Exception ex)
            {
                this.Cursor = Cursors.Default;
                MessageBox.Show(ex.Message, "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }
        private void frmListMembers_Load(object sender, EventArgs e)
        {
            Ado1("Select * from TList");
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void txtSearch_TextChanged(object sender, EventArgs e)
        {
            try
            {
                switch (comboBox1.SelectedIndex)
                {
                    case 0:
                        Ado1("SELECT * FROM TList WHERE LName LIKE '" + txtSearch.Text + "%'ORDER BY LName");
                        break;
                    case 1:
                        Ado1("SELECT * FROM TList WHERE LTell LIKE '" + txtSearch.Text + "%'ORDER BY LTell");
                        break;
                    case 2:
                        Ado1("SELECT * FROM TList WHERE Lsite LIKE '" + txtSearch.Text + "%'ORDER BY Lsite");
                        break;
                    case 3:
                        Ado1("SELECT * FROM TList WHERE LAddress LIKE '" + txtSearch.Text + "%'ORDER BY LAddress");
                        break;
                }
            }
            catch
            {
                MessageBox.Show("عملیات جستجو با خطا مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

        private void btnDelete_Click(object sender, EventArgs e)
        {

            if (MessageBox.Show("آیا مایلید مورد انتخاب شده حذف شود؟", "حذف", MessageBoxButtons.YesNo, MessageBoxIcon.Question, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading) == DialogResult.Yes)
            {
                try
                {
                    ID = DGW1.CurrentRow.Cells["ID"].Value.ToString();
                    LName = DGW1.CurrentRow.Cells["LName"].Value.ToString();
                    LGroup = DGW1.CurrentRow.Cells["LGroup"].Value.ToString();
                    LTell = DGW1.CurrentRow.Cells["LTell"].Value.ToString();
                    LSite = DGW1.CurrentRow.Cells["LSite"].Value.ToString();
                    LAddress = DGW1.CurrentRow.Cells["LAddress"].Value.ToString();
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "DELETE FROM TList WHERE ID=@p1 AND LName=@p2 AND LGroup=@p3 AND LTell=@p4 AND LSite=@p5 AND LAddress=@p6";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p1", ID);
                    ocm.Parameters.AddWithValue("@p2", LName);
                    ocm.Parameters.AddWithValue("@p3", LGroup);
                    ocm.Parameters.AddWithValue("@p4", LTell);
                    ocm.Parameters.AddWithValue("@p5", LSite);
                    ocm.Parameters.AddWithValue("@p6", LAddress);
                    ocm.Connection = null;
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocm.Dispose();
                    ocn.Dispose();
                    Ado1("SELECT * FROM TList");
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message
                        + "\r\n\r\n"
                        + "عملایت حذف با مشکل مواجه شده است", "Error", MessageBoxButtons.OK, MessageBoxIcon.Error);
                }
            }
        }

        private void btnEdit_Click(object sender, EventArgs e)
        {
            try
            {
                ID = DGW1.CurrentRow.Cells["ID"].Value.ToString();
                LName = DGW1.CurrentRow.Cells["LName"].Value.ToString();
                LGroup = DGW1.CurrentRow.Cells["LGroup"].Value.ToString();
                LTell = DGW1.CurrentRow.Cells["LTell"].Value.ToString();
                LSite = DGW1.CurrentRow.Cells["LSite"].Value.ToString();
                LAddress = DGW1.CurrentRow.Cells["LAddress"].Value.ToString();
                frmAddMembers ShowEditMembers = new frmAddMembers();
                ShowEditMembers.txtID.Text = ID;
                ShowEditMembers.txtLname.Text = LName;
                ShowEditMembers.comboGroup.Text = LGroup;
                ShowEditMembers.txtHomePhone.Text = LTell;
                ShowEditMembers.txtSiteName.Text = LSite;
                ShowEditMembers.txtAddress.Text = LAddress;
                ShowEditMembers.Add_Edit = false;
                ShowEditMembers.ShowDialog();
            }
            catch
            {
                MessageBox.Show("کاربر گرامی هیچ مخاطبی برای حذف وجود ندارد", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
         }

    }
}
